Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1055857

Summary: [Docs] [Developer] remove rhevm- prefix from command-line utilities
Product: Red Hat Enterprise Virtualization Manager Reporter: Andrew Dahms <adahms>
Component: DocumentationAssignee: Andrew Dahms <adahms>
Status: CLOSED CURRENTRELEASE QA Contact: ecs-bugs
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 3.3.0CC: acathrow, adahms, alonbl, alyoung, bazulay, gklein, sgordon, yeylon
Target Milestone: ---   
Target Release: 3.3.1   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 997341 Environment:
Last Closed: 2014-08-25 05:57:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 997341, 1059072    
Bug Blocks: 1042676, 1049090, 1049676, 1053298    

Description Andrew Dahms 2014-01-21 05:04:29 UTC
+++ This bug was initially created as a clone of Bug #997341 +++

Hello,

rhevm- prefix were the prefix of command-line utilities before the upstream ovirt-engine was introduced.

Then all utilities where renamed to engine- prefix while keeping backward compatibility using symlinks.

[BTW: the choice of engine- and not ovirt-engine- or ovirt- was probably not wise as it is too generic].

There is no reason to keep the legacy names within documentation, so please rename all references of rhevm- to engine- to use the upstream terms, so we can remove the rhevm- prefix in future.

Thanks,

--- Additional comment from Alon Bar-Lev on 2013-08-15 04:15:13 EDT ---

Now I can also see that the rhevm string is used as service, this is not true for a while... should be ovirt-engine.

--- Additional comment from Tim Hildred on 2013-10-27 20:04:03 EDT ---

Reassigning to Jodi Biddle (jbiddle@redhat.com) as I am no longer working on Red Hat Enterprise Virtualization documentation.

Comment 1 Andrew Dahms 2014-01-21 05:08:14 UTC
Fixed in 8597.

Comment 2 Andrew Dahms 2014-01-24 01:29:03 UTC
Documentation Link
------------------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/Developer_Guide/index.html#Beginner_Example_Introduction

What Changed
------------------------------
Changed 'rhevm-iso-uploader' to 'engine-iso-uploader' in the following topic:

REST API Quick Start Introduction [ 8597-578807 ]

Updated revision history: [ 21132-578809 ]

NVR
------------------------------
Red_Hat_Enterprise_Virtualization-Developer_Guide-3.3-en-US-3.3-20

Moving to ON_QA.